ClarisWksDbaseContent::Column Struct Reference

struct which stores a column in ClarisWksDbaseContent More...

`#include <ClarisWksDbaseContent.hxx>`

## Public Member Functions

| Column ()
| constructor

## Public Attributes

std::map< int, Record > | m_idRecordMap
| a map line (or record id) to record

## Detailed Description

struct which stores a column in ClarisWksDbaseContent

## Constructor & Destructor Documentation

## Column()

ClarisWksDbaseContent::Column::Column | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_idRecordMap

std::map<int,Record> ClarisWksDbaseContent::Column::m_idRecordMap

a map line (or record id) to record

Referenced by Column(), ClarisWksDbaseContent::get(), ClarisWksDbaseContent::getExtrema(), ClarisWksDbaseContent::getRecordList(), ClarisWksDbaseContent::readColumn(), ClarisWksDbaseContent::readRecordList(), and ClarisWksDbaseContent::updateCellPositionsSet().

The documentation for this struct was generated from the following file:

- ClarisWksDbaseContent.hxx